=== modified file 'bzrlib/tests/test_import_tariff.py'
--- bzrlib/tests/test_import_tariff.py	2011-06-01 10:03:46 +0000
+++ bzrlib/tests/test_import_tariff.py	2011-06-06 11:57:09 +0000
@@ -53,7 +53,7 @@
     ]
 
 
-class TestImportTariffs(TestCaseWithTransport):
+class ImportTariffTestCase(TestCaseWithTransport):
     """Check how many modules are loaded for some representative scenarios.
 
     See the Testing Guide in the developer documentation for more explanation.
@@ -72,7 +72,7 @@
         for name in ('BZR_PLUGIN_PATH', 'BZR_DISABLE_PLUGINS', 'BZR_PLUGINS_AT'
                      ):
             self.preserved_env_vars[name] = os.environ.get(name)
-        super(TestImportTariffs, self).setUp()
+        super(ImportTariffTestCase, self).setUp()
 
     def start_bzr_subprocess_with_import_check(self, args, stderr_file=None):
         """Run a bzr process and capture the imports.
@@ -141,6 +141,10 @@
         self.finish_bzr_subprocess_with_import_check(process, args,
             forbidden_imports)
 
+
+class TestImportTariffs(ImportTariffTestCase):
+    """Basic import tariff tests for some common bzr commands"""
+
     def test_import_tariffs_working(self):
         # check some guaranteed-true and false imports to be sure we're
         # measuring correctly

=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-06-01 13:43:12 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-06-06 11:13:41 +0000
@@ -93,6 +93,10 @@
    suite.  This can include new facilities for writing tests, fixes to 
    spurious test failures and changes to the way things should be tested.
 
+* A `ImportTariffTestCase` base class has been added in
+  ``bzrlib.tests.test_import_tariff``, which can be used for import tariff
+  tests in plugins. (Jelmer Vernooij, #793465)
+
 * Fix deadlock in `TestImportTariffs.test_simple_serve` when stderr gets
   more output than fits in the default buffer.  This was happening on the
   Windows buildslave, and could easily happen in other circumstances where

